import time
import threading


class MultiThreadScheduler(object):
    def __init__(self, function_scheduled, interval=1):
        self.interval = interval
        self.function_scheduled = function_scheduled

        thread = threading.Thread(target=self.run, args=())
        thread.daemon = True
        thread.start()

    def run(self):
        while True:
            # call function
            time.sleep(self.interval)
            self.function_scheduled()
